/form/:id/submission

Get all submissions for the specified form

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Get all submissions for the specified form

GET /api/v2/form/12345/submission.json HTTP/1.1
Host: www.formstack.com
Authorization: Bearer [[app:oauth_token]]
Accept: application/json
Content-Type: application/json
curl -i -H "Accept: application/json" -H "Content-Type: application/json" -H "Authorization: Bearer [[app:oauth_token]]" https://www.formstack.com/api/v2/form/12345/submission.json
Path Params
int32
required

Form ID

Query Params
string

The encryption password for the form. DEPRECATED use X-FS-ENCRYPTION-PASSWORD header instead

date

Return submissions at and after given date/time - YYYY-MM-DD or YYYY-MM-DD HH:MM:SS expected (Based around Eastern Time)

date

Return submissions at and before given date/time - YYYY-MM-DD or YYYY-MM-DD HH:MM:SS expected (Based around Eastern Time)

string

Field ids for search_values_x. Where x is a number 0-10 (note: encrypted forms are not searchable)

string

Search a specific field for this value. Where x is a number 0-10 corresponding with search_field_x (note: encrypted forms are not searchable)

int32

The page number of results to return

int32
Defaults to 25

The number of submissions to return per page. Maximum of 100 per request. Defaults to 25 if not provided.

string

Sort the submissions by id with DESC or ASC

boolean
Defaults to false

Flag to include submission data

boolean
Defaults to false

Flag to expand submission data

Headers
string

The encryption password for the form. As of March 2020 this is the recommended way to supply password. Passing it with encryption_password query param is deprecated now.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json